## libvirt-python 10.0.0

=== Makefile ===
# Shim wrapper around setup.py to allow for familiar build targets

PYTHON ?= python

all:
	$(PYTHON) -m build

install: all
	$(PYTHON) -m pip install .

clean:
	rm -rf build/ dist/

check: all
	tox -e py36

test: all
	tox

rpm: all
	rpmbuild -ta dist/libvirt-python-$(shell tr -d '\n' < VERSION).tar.gz

## libvirt-python 1.2.1

=== debian/changelog ===
libvirt-python (1.2.1-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Apr 2014 17:23:00 +0200

libvirt-python (1.2.1-2) unstable; urgency=medium

  * [007e79c] Add watch file
  * [d43cb4c] Fix calling of virStreamSend method. Cherry-picked upstream
    commit ea9339c878ffc344a3ef0cc659b7bce87125678f

 -- Guido Günther <agx@sigxcpu.org>  Wed, 05 Feb 2014 22:30:32 +0100

libvirt-python (1.2.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Jan 2014 19:01:00 +0100

libvirt-python (1.2.1-1) unstable; urgency=medium

  * [2de72d5] New upstream version 1.2.1
  * [de2e87e] Build against newer libvirt

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Jan 2014 13:45:35 +0100

libvirt-python (1.2.0-2) unstable; urgency=medium

  * Upload to unstable 

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Dec 2013 08:04:18 +0100

libvirt-python (1.2.0-1) experimental; urgency=low

  * Initial release (Closes: #731088)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Dec 2013 08:35:03 +0100

=== debian/control ===
Source: libvirt-python
Section: python
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 9.0.0),
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 libvirt-dev (>= 1.2.0~),
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-libvirt-python/libvirt.git
Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt-python.git
Homepage: http://libvirt.org
XS-Python-Version: 2.7

Package: python-libvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 1.2.1~)
XB-Python-Version: ${python:Versions}
Recommends: libvirt-bin
Section: python
Description: libvirt Python bindings
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains Python bindings for the libvirt library

## libvirt-python 1.2.2

=== debian/changelog ===
libvirt-python (1.2.2-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/patches/virStream-send-regression: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 04 Mar 2014 13:22:21 -0500

libvirt-python (1.2.1-0ubuntu2) trusty; urgency=medium

  * d/p/virStream-send-regression: fix regression in send function
    (LP: #1270588).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 23 Jan 2014 13:05:33 +0000

libvirt-python (1.2.1-0ubuntu1) trusty; urgency=medium

  *  New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Jan 2014 09:45:35 -0500

libvirt-python (1.2.0-2ubuntu1) trusty; urgency=medium

  * debian/rules: Run testsuite druing build.
  * debian/control: Add python-lxml as a build-dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Jan 2014 13:32:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: libvirt-python
 Section: python
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 9.0.0),
  pkg-config,
  python-all-dev (>= 2.6.6-3~),
  libvirt-dev (>= 1.2.0~),
+ python-lxml
 Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-libvirt-python/libvirt.git
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt-python.git
@@ -14,7 +16,7 @@
 
 Package: python-libvirt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 1.2.1~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 1.2.0~)
 XB-Python-Version: ${python:Versions}
 Recommends: libvirt-bin
 Section: python

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
	python setup.py test

## libvirt-python 1.2.6

=== debian/changelog ===
libvirt-python (1.2.6-2) unstable; urgency=medium

  * Upload to unstable
  * [6c8e688] Recommend libvirt-daemon instead of libvirt-bin. Sufficient for
    many workloads.
  * [ab417b9] Rebuild against newer libvirt

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Aug 2014 00:13:53 +0200

libvirt-python (1.2.6-1) experimental; urgency=medium

  * [8c67fb3] Fix Vcs-Git URL (Closes: #755758)
  * [e5263b5] New upstream version 1.2.6 (Closes: #754648)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Jul 2014 08:40:34 +0200

libvirt-python (1.2.4-1) unstable; urgency=medium

  * [5d4293a] Indicate that we break older virtinst
    by the virStream changes in d43cb4c80a1986a2aa275a80b11685b13b58bfe5.
    leading to errors like:
        ERROR    'virStream' object has no attribute 'upload'
  * [611d8de] New upstream version 1.2.4
    (Closes: #750323, #753675, #605965)
  * [498ac54] Drop patches, all fixed upstream
  * [a319328] Add python3 support
  * [42e49b0] Depend on newer libvirt for the API XML files
  * [b0aa3c9] Update gbp.conf for sid builds

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Jul 2014 08:38:03 +0200

=== debian/control ===
Source: libvirt-python
Section: python
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 9.0.0),
 dh-python,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 python3-all-dev,
 libvirt-dev (>= 1.2.4~),
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt-python.git -b debian/sid
Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt-python.git
Homepage: http://libvirt.org
X-Python-Version: 2.7
X-Python3-Version: >= 3.3

Package: python-libvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 1.2.7~)
XB-Python-Version: ${python:Versions}
Recommends: libvirt-daemon
Breaks: virtinst (<= 0.600.1-3+deb7u1)
Section: python
Description: libvirt Python bindings
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the Python 2 bindings for the libvirt library

Package: python3-libvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 1.2.7~)
XB-Python-Version: ${python3:Versions}
Recommends: libvirt-bin
Section: python
Description: libvirt Python 3 bindings
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the Python 3 bindings for the libvirt library

## libvirt-python 1.2.8

=== debian/changelog ===
libvirt-python (1.2.8-0ubuntu2) utopic; urgency=medium

  * debian/patches/libvirt-memleak.patch: Fix memory leak.
    (LP: #1365250) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 19 Sep 2014 08:51:50 -0400

libvirt-python (1.2.8-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 09 Sep 2014 10:56:03 -0500

libvirt-python (1.2.6-0ubuntu1) utopic; urgency=medium

  * New usptream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 15 Aug 2014 13:24:48 -0400

libvirt-python (1.2.5-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: Add python-nose as a build-dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 18 Jun 2014 20:19:50 -0400

## libvirt-python 1.2.9

=== debian/changelog ===
libvirt-python (1.2.9-1) unstable; urgency=medium

  * [e36b886] New upstream version 1.2.9 (Closes: #765159, #765108)
  * [ac669e2] Build depend on libvirt 1.2.9 for the new bindings

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 Oct 2014 14:22:53 +0200

libvirt-python (1.2.8-1) unstable; urgency=medium

  * [e081979] New upstream version 1.2.8
  * [ad88fbf] Require libvirt 1.2.8 for the new bindings

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 Sep 2014 19:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  pkg-config,
  python-all-dev (>= 2.6.6-3~),
  python3-all-dev,
- libvirt-dev (>= 1.2.4~),
+ libvirt-dev (>= 1.2.9~),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt-python.git -b debian/sid
 Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt-python.git
@@ -17,7 +17,7 @@
 
 Package: python-libvirt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 1.2.7~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 1.2.8~)
 XB-Python-Version: ${python:Versions}
 Recommends: libvirt-daemon
 Breaks: virtinst (<= 0.600.1-3+deb7u1)
@@ -32,7 +32,7 @@
 
 Package: python3-libvirt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 1.2.7~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 1.2.8~)
 XB-Python-Version: ${python3:Versions}
 Recommends: libvirt-bin
 Section: python

## libvirt-python 1.2.12

=== debian/changelog ===
libvirt-python (1.2.12-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 09 May 2016 11:37:06 +0000

libvirt-python (1.2.12-0ubuntu1) vivid; urgency=medium

  * New uptream release.
  * debian/patches/libvirt-memleak.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Feb 2015 11:05:55 -0500

## libvirt-python 1.2.15

=== debian/changelog ===
libvirt-python (1.2.15-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 09 May 2016 11:40:23 +0000

libvirt-python (1.2.15-0ubuntu1) wily; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 07 May 2015 11:39:33 -0400

=== debian/control ===
Source: libvirt-python
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 9.0.0),
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 libvirt-dev (>= 1.2.0~),
 python-nose,
 python-lxml
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-libvirt-python/libvirt.git
Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt-python.git
Homepage: http://libvirt.org
XS-Python-Version: 2.7

Package: python-libvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 1.2.0~)
XB-Python-Version: ${python:Versions}
Recommends: libvirt-bin
Section: python
Description: libvirt Python bindings
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains Python bindings for the libvirt library

## libvirt-python 1.3.1

=== debian/changelog ===
libvirt-python (1.3.1-1ubuntu1.1) xenial; urgency=medium

  * d/p/lp1731482-fix-crash-in-getAllDomainStats.patch: Fix crash when
    accessing getAllDomainStats (LP: #1731482).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Nov 2017 16:00:04 +0100

libvirt-python (1.3.1-1ubuntu1) xenial; urgency=low

  * New upstream release. Remaining changes:
    - Suggest libvirt-bin if libvirt-daemon doesn't exist.

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 12 Feb 2016 12:35:59 -0600

libvirt-python (1.3.1-1) unstable; urgency=medium

  * [ad19993] Add README.source from gbp example
  * [9b75cb5] New upstream version 1.3.1

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Feb 2016 16:57:03 +0100

libvirt-python (1.3.0-1) unstable; urgency=medium

  * [f61a0ec] New upstream version 1.3.0
  * [8d05a00] Use libvirt-daemon instead of libvirt-bin
    (Closes: #809411)
  * [c9240be] Remove duplicate sections. Thanks lintian!
  * [191dd26] Use canonical VCS field. Thanks lintian!
  * [80dc136] Bump standards version
  * [08cb1fa] Use upstream shipped tests as autopkg smoketest

 -- Guido Günther <agx@sigxcpu.org>  Wed, 30 Dec 2015 15:09:33 +0100

libvirt-python (1.2.18-1) unstable; urgency=medium

  * [c5ff0ce] New upstream version 1.2.18
  * [0df5ce5] Drop patches all applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Aug 2015 22:44:07 +0200

libvirt-python (1.2.15-1ubuntu1) xenial; urgency=low

  * New upstream release.

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 30 Nov 2015 16:33:03 -0600

libvirt-python (1.2.15-1) unstable; urgency=medium

  * [42694b7] Adjust gbp.conf for experimental
  * [a7a5386] New upstream version 1.2.12
  * [984d13c] Require libvirt 1.2.12 to get all features enabled
  * [c7637c1] New upstream version 1.2.15
  * [36857e9] Require libvirt 1.2.15
  * [f00217a] Make build reproducible.  Thanks to Chris Lamb for the patch
    (Closes: #779679)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 18 May 2015 23:42:21 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3,python2 --buildsystem=pybuild

=== debian/watch ===
version=3

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//" \
    http://libvirt.org/sources/python/libvirt-python-([\d\.]+)(-rc\d)?\.tar\.gz

## libvirt-python 1.3.5

=== debian/changelog ===
libvirt-python (1.3.5-1) unstable; urgency=medium

  * [d8d81ed] New upstream version 1.3.5

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Jun 2016 10:27:53 +0200

libvirt-python (1.3.4-1) unstable; urgency=medium

  * [618bdcf] New upstream version 1.3.4

 -- Guido Günther <agx@sigxcpu.org>  Thu, 12 May 2016 12:15:19 +0200

libvirt-python (1.3.3-1) unstable; urgency=medium

  * [caa354b] New upstream version 1.3.3 that knows about libvirt's new
    symbols (Closes: #822384)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 24 Apr 2016 12:05:24 +0200

=== debian/control ===
Source: libvirt-python
Section: python
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 9.0.0),
 dh-python,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 python3-all-dev,
 libvirt-dev (>= 1.2.15~),
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-libvirt/libvirt-python.git -b debian/sid
Vcs-Browser: http://anonscm.debian.org/?p=pkg-libvirt/libvirt-python.git
Homepage: http://libvirt.org
X-Python-Version: 2.7
X-Python3-Version: >= 3.3

Package: python-libvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 1.2.8~)
XB-Python-Version: ${python:Versions}
Recommends: libvirt-daemon
Breaks: virtinst (<= 0.600.1-3+deb7u1)
Description: libvirt Python bindings
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the Python 2 bindings for the libvirt library

Package: python3-libvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 1.2.8~)
XB-Python-Version: ${python3:Versions}
Recommends: libvirt-daemon
Description: libvirt Python 3 bindings
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the Python 3 bindings for the libvirt library

## libvirt-python 2.0.0

=== debian/changelog ===
libvirt-python (2.0.0-1) unstable; urgency=medium

  * [024ecc0] New upstream version 2.0.0
  * [c683d47] watch: Validate gpg signatures

 -- Guido Günther <agx@sigxcpu.org>  Sat, 02 Jul 2016 15:19:11 +0200

## libvirt-python 3.0.0

=== debian/changelog ===
libvirt-python (3.0.0-2~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 28 Jan 2017 23:54:13 +0000

libvirt-python (3.0.0-2) unstable; urgency=medium

  * Upload to unstable (Closes: #852886)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Jan 2017 13:35:36 +0100

libvirt-python (3.0.0-1) experimental; urgency=medium

  * [f12a61d] New upstream version 3.0.0

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Jan 2017 20:08:56 +0100

libvirt-python (2.5.0-1) unstable; urgency=medium

  * [db83231] gbp.conf: switch upstream branch to upstream/latest
  * [734ef76] New upstream version 2.5.0
  * [0fdff52] Require recent libvirt

 -- Guido Günther <agx@sigxcpu.org>  Sat, 07 Jan 2017 17:35:35 +0100

libvirt-python (2.4.0-1) unstable; urgency=medium

  * [4926be2] New upstream version 2.4.0
  * [e94887f] Use https VCS URLs
  * [71e37b8] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Fri, 04 Nov 2016 19:38:15 +0100

libvirt-python (2.3.0-1) unstable; urgency=medium

  * [54b8992] New upstream version 2.3.0
  * [1dc6d53] Require recent libvirt

 -- Guido Günther <agx@sigxcpu.org>  Sat, 08 Oct 2016 18:14:51 +0200

libvirt-python (2.2.0-1) unstable; urgency=medium

  * [75b3f0f] New upstream version 2.2.0

 -- Guido Günther <agx@sigxcpu.org>  Tue, 13 Sep 2016 07:33:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  pkg-config,
  python-all-dev (>= 2.6.6-3~),
  python3-all-dev,
- libvirt-dev (>= 1.2.15~),
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-libvirt/libvirt-python.git -b debian/sid
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-libvirt/libvirt-python.git
+ libvirt-dev (>= 2.5.0~),
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libvirt-python.git -b debian/sid
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libvirt-python.git/
 Homepage: http://libvirt.org
 X-Python-Version: 2.7
 X-Python3-Version: >= 3.3

=== debian/watch ===
version=3

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//,pgpsigurlmangle=s/$/.asc/"  \
    http://libvirt.org/sources/python/libvirt-python-([\d\.]+)(-rc\d)?\.tar\.gz

## libvirt-python 3.5.0

=== debian/changelog ===
libvirt-python (3.5.0-1build1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 04 Aug 2017 04:44:37 +0000

libvirt-python (3.5.0-1build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 16:26:29 +1200

libvirt-python (3.5.0-1) unstable; urgency=medium

  * [52a4687] Update upstream pgp key
  * [a42ff89] New upstream version 3.5.0 (Closes: #867691)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 08 Jul 2017 19:58:21 +0200

## libvirt-python 4.0.0

=== debian/changelog ===
libvirt-python (4.0.0-1) unstable; urgency=medium

  * [98db9b7] New upstream version 4.0.0

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Jan 2018 17:10:50 +0100

libvirt-python (3.10.0-1) unstable; urgency=medium

  * [f59a45e] d/watch: use https URL
  * [34eb4fb] d/control: Bump policy to 4.1.1
  * [3324f9e] New upstream version 3.10.0

 -- Guido Günther <agx@sigxcpu.org>  Wed, 06 Dec 2017 15:28:25 +0100

libvirt-python (3.9.0-1) unstable; urgency=medium

  * [d42572d] New upstream version 3.9.0

 -- Guido Günther <agx@sigxcpu.org>  Wed, 08 Nov 2017 09:20:04 +0100

libvirt-python (3.8.0-1) unstable; urgency=medium

  * [72d1e87] New upstream version 3.8.0

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Oct 2017 14:18:11 +0200

libvirt-python (3.7.0-1) unstable; urgency=medium

  * [97cf6f8] Bump standards version to 4.0.0
  * [7696a99] Enable hardening
  * [b0da9dd] New upstream version 3.7.0
  * [633d64d] Add id-length to gbp.conf

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Sep 2017 08:58:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python-all-dev (>= 2.6.6-3~),
  python3-all-dev,
  libvirt-dev (>= 2.5.0~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libvirt-python.git -b debian/sid
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libvirt-python.git/
 Homepage: http://libvirt.org

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

=== debian/watch ===
version=3

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//,pgpsigurlmangle=s/$/.asc/"  \
    https://libvirt.org/sources/python/libvirt-python-([\d\.]+)(-rc\d)?\.tar\.gz

## libvirt-python 4.6.0

=== debian/changelog ===
libvirt-python (4.6.0-1) unstable; urgency=medium

  * [2019ea6] New upstream version 4.6.0

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 Aug 2018 15:22:44 +0200

libvirt-python (4.5.0-1) unstable; urgency=medium

  * [f1bae57] New upstream version 4.5.0
    (Closes: #903016)
  * [dce8cdb] d/control: Switch VCS-* URLs to salsa
  * [f233e12] Build-dep on libvirt 4.5.0
  * [901c80d] Drop python version fields.
    All current Debian releases have recent enough versions.
  * [b82391b] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Tue, 17 Jul 2018 19:49:38 +0200

## libvirt-python 5.0.0

=== debian/changelog ===
libvirt-python (5.0.0-1) unstable; urgency=medium

  * [b7e4a6f] New upstream version 5.0.0

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Jan 2019 09:17:00 +0100

libvirt-python (4.10.0-1) unstable; urgency=medium

  * [a8b779b] New upstream version 4.10.0

 -- Guido Günther <agx@sigxcpu.org>  Tue, 18 Dec 2018 11:15:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,15 @@
  pkg-config,
  python-all-dev (>= 2.6.6-3~),
  python3-all-dev,
- libvirt-dev (>= 2.5.0~),
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-libvirt/libvirt-python.git -b debian/sid
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-libvirt/libvirt-python.git/
+ libvirt-dev (>= 4.5.0~),
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
+Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
 Homepage: http://libvirt.org
-X-Python-Version: 2.7
-X-Python3-Version: >= 3.3
 
 Package: python-libvirt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 1.2.8~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= 4.5.0~)
 XB-Python-Version: ${python:Versions}
 Recommends: libvirt-daemon
 Breaks: virtinst (<= 0.600.1-3+deb7u1)
@@ -31,7 +29,7 @@
 
 Package: python3-libvirt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 1.2.8~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 4.5.0~)
 XB-Python-Version: ${python3:Versions}
 Recommends: libvirt-daemon
 Description: libvirt Python 3 bindings

=== debian/tests/control ===
Tests: smoke
Depends: python-libvirt,
 python-nose
Restrictions: allow-stderr

Tests: smoke3
Depends: python3-libvirt,
 python3-nose
Restrictions: allow-stderr

## libvirt-python 5.6.0

=== debian/changelog ===
libvirt-python (5.6.0-1) unstable; urgency=medium

  * [53c69bc] New upstream version 5.6.0
    (Closes: #945462)
  * [7fcc6d7] Add salsa-ci
  * [899460f] d/changelog: Remove trailing whitespace
  * [73f23d7] d/rules: Remove trailing whitespace
  * [1b1b18a] d/copyright: Use https URLs
  * [1a3ec8e] Bump standards version to 4.4.0

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 Nov 2019 18:54:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python-all-dev (>= 2.6.6-3~),
  python3-all-dev,
  libvirt-dev (>= 4.5.0~),
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
 Homepage: http://libvirt.org

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,3 @@
 
 %:
 	dh $@ --with python3,python2 --buildsystem=pybuild
-

## libvirt-python 6.0.0

=== debian/changelog ===
libvirt-python (6.0.0-0ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:16:41 +0100

libvirt-python (6.0.0-0ubuntu2) focal; urgency=medium

  * Drop the Python 2 autopkgtest as the Python 2 package was removed.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 09 Feb 2020 12:37:06 +0300

libvirt-python (6.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release 6.0.0
    - d/control, d/rules, d/python-libvirt.install: drop python2 build as
      upstream is now py3 only
    - d/python-libvirt[3].install: no more needed

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 04 Feb 2020 11:14:02 +0100

=== debian/control ===
Source: libvirt-python
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 9.0.0),
 dh-python,
 pkg-config,
 python3-all-dev,
 libvirt-dev (>= 4.5.0~),
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
Homepage: http://libvirt.org

Package: python3-libvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 4.5.0~)
XB-Python-Version: ${python3:Versions}
Recommends: libvirt-daemon
Description: libvirt Python 3 bindings
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the Python 3 bindings for the libvirt library

## libvirt-python 6.1.0

=== debian/changelog ===
libvirt-python (6.1.0-1) unstable; urgency=medium

  * [318c6a9] New upstream version 6.1.0
    (Closes: #954703)
  * [b2883ff] Drop python2 support
    (Closes: #936934)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 23 Mar 2020 12:24:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt-python
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper (>= 9.0.0),
  dh-python,
  pkg-config,

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python3,python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

## libvirt-python 7.0.0

=== debian/changelog ===
libvirt-python (7.0.0-2) unstable; urgency=medium

  * Upload to unstable 

 -- Guido Günther <agx@sigxcpu.org>  Thu, 18 Feb 2021 08:45:20 +0100

libvirt-python (7.0.0-1) experimental; urgency=medium

  * Upload to experimental
  * [f0560db] Update upstream signing key
    Add key for Jiří Denemark making the used keyring match what we use for
    libvirt.
  * [f7d2bec] New upstream version 7.0.0
    (Closes: #982695)
  * [00717f4] Switch to Debhelper 13
  * [782d7e7] Don't install NEWS.
    It's not maintained upstream anymore

 -- Guido Günther <agx@sigxcpu.org>  Sun, 14 Feb 2021 14:39:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper-compat (=13),
  dh-python,
  pkg-config,
  python3-all-dev,

## libvirt-python 7.6.0

=== debian/changelog ===
libvirt-python (7.6.0-0ubuntu1) impish; urgency=medium

  * New upstream version 7.6.0
    - d/t/control, d/t/smoke3: tests now use pytest

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 16 Aug 2021 12:38:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libvirt-python
 Section: python
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper-compat (=13),
  dh-python,
  pkg-config,

=== debian/tests/control ===
Tests: smoke3
Depends: python3-libvirt,
 python3-pytest
Restrictions: allow-stderr

## libvirt-python 8.0.0

=== debian/changelog ===
libvirt-python (8.0.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:27:47 +0000

libvirt-python (8.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [a47082c] Trim trailing whitespace.
    Changes-By: lintian-brush
    Fixes: lintian: trailing-whitespace
    See-also: https://lintian.debian.org/tags/trailing-whitespace.html
  * [a8ae3cb] Update standards version to 4.5.1, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

  [ Guido Günther ]
  * [9a84d03] New upstream version 8.0.0
    (Closes: #1005671)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 22 Feb 2022 10:59:53 +0100

libvirt-python (7.9.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release
    (Closes: #997719)
  * Switch from nose to pytest, following upstream.
  * Run autopkgtest on all supported Python versions.
  * Run test suite at build time.
  * Drop XB-Python-Version, no longer used.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 24 Nov 2021 20:02:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libvirt-python
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper-compat (=13),
  dh-python,
  pkg-config,
  python3-all-dev,
+ python3-pytest,
  libvirt-dev (>= 4.5.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
 Homepage: http://libvirt.org
@@ -16,7 +16,6 @@
 Package: python3-libvirt
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 4.5.0~)
-XB-Python-Version: ${python3:Versions}
 Recommends: libvirt-daemon
 Description: libvirt Python 3 bindings
  Libvirt is a C toolkit to interact with the virtualization capabilities

=== debian/tests/control ===
Tests: smoke3
Depends:
 python3-all,
 python3-libvirt,
 python3-pytest
Restrictions: allow-stderr

## libvirt-python 8.4.0

=== debian/changelog ===
libvirt-python (8.4.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release:
    - supports libvirt 8.2.0 (Closes: #1011902)
  * Update the build dependencies according to the upstream build system:
    - add python3-setuptools, needed by the newer build system
    - add python3-lxml, needed by new tests
  * Drop the manual libvirt0 dependency, as there will be the proper one based
    on shlibs.
  * Include a patch proposed upstream to make the implementation of the 'build'
    command of the build system compatible again with distutils; patch
    build-clean-compat.diff.
  * Add python3-lxml also as a dependency for the 'smoke3' autopkgtest.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jun 2022 07:16:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
  dh-python,
  pkg-config,
  python3-all-dev,
+ python3-lxml <!nocheck>,
  python3-pytest,
+ python3-setuptools,
  libvirt-dev (>= 4.5.0~),
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
@@ -15,7 +17,7 @@
 
 Package: python3-libvirt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 4.5.0~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 Recommends: libvirt-daemon
 Description: libvirt Python 3 bindings
  Libvirt is a C toolkit to interact with the virtualization capabilities

=== debian/tests/control ===
Tests: smoke3
Depends:
 python3-all,
 python3-libvirt,
 python3-lxml,
 python3-pytest
Restrictions: allow-stderr

## libvirt-python 9.0.0

=== debian/changelog ===
libvirt-python (9.0.0-1) unstable; urgency=medium

  * [5cf8728] New upstream version 9.0.0
  * [badae7a] Depend on setuptools
    (Closes: #1030176)
  * [698bacb] Add lxml for tests
  * [9f7e10c] d/control: Bump standards version
  * [f93bac2] d/control: Add Rules-Requires-Root
  * [591b770] Use dh-sequence-python3.
    Thanks to Jochen Sprickerhof
  * [f5cd9bc] Use autopkgtest-pkg-pybuild for autopkgtests.
    Thanks to Jochen Sprickerhof

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Feb 2023 10:52:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,23 @@
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends: debhelper-compat (=13),
- dh-python,
+ dh-sequence-python3,
  pkg-config,
  python3-all-dev,
  python3-lxml <!nocheck>,
  python3-pytest,
  python3-setuptools,
  libvirt-dev (>= 4.5.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
 Homepage: http://libvirt.org
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-libvirt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libvirt0 (>= 4.5.0~)
 Recommends: libvirt-daemon
 Description: libvirt Python 3 bindings
  Libvirt is a C toolkit to interact with the virtualization capabilities

## libvirt-python 9.10.0

=== debian/changelog ===
libvirt-python (9.10.0-1) unstable; urgency=medium

  * New upstream version 9.10.0

 -- Pino Toscano <pino@debian.org>  Sun, 03 Dec 2023 08:21:24 +0100

libvirt-python (9.9.0-1) unstable; urgency=medium

  * New upstream version 9.9.0
  * Drop the libvirt-daemon recommend.
    The bindings themselves do not need the libvirt daemon; it is up to the
    actual libvirt users to declare whether they need the libvirt daemon.

 -- Pino Toscano <pino@debian.org>  Wed, 08 Nov 2023 07:46:32 +0100

libvirt-python (9.8.0-1) unstable; urgency=medium

  * d/watch: use @ARCHIVE_EXT@, switch to the new upstream download location
  * d/control: mark python3-pytest as !nocheck
  * New upstream version 9.8.0

 -- Pino Toscano <pino@debian.org>  Mon, 09 Oct 2023 08:01:42 +0200

libvirt-python (9.7.0-1) unstable; urgency=medium

  * Update maintainership:
    - set Maintainer to Debian Libvirt Maintainers, like other libvirt packages
    - move Guido to Uploaders
  * New upstream version 9.7.0

 -- Pino Toscano <pino@debian.org>  Thu, 14 Sep 2023 20:43:50 +0200

libvirt-python (9.6.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * Add upstream metadata
  * Update gbp.conf

  [ Pino Toscano ]
  * Add myself to Uploaders
  * Drop the manual libvirt0 dependency
  * Add missing changelog entry for NMU 8.4.0-0.1
  * Drop git commit names from changelog
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * New upstream version 9.6.0
  * Stop shipping the upstream README, as it contains only build instructions
  * d/control: add pybuild-plugin-pyproject build dependency
  * Ship the upstream examples

 -- Pino Toscano <pino@debian.org>  Sat, 02 Sep 2023 08:21:39 +0200

## libvirt-python 10.0.0

=== debian/changelog ===
libvirt-python (10.0.0-1~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Feb 2024 08:54:25 +0000

libvirt-python (10.0.0-1) unstable; urgency=medium

  * New upstream version 10.0.0

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jan 2024 16:06:24 +0100

=== debian/control ===
Source: libvirt-python
Section: python
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>,
 Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (=13),
 dh-sequence-python3,
 pkg-config,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-lxml <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 libvirt-dev (>= 4.5.0~),
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
Homepage: https://libvirt.org
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-libvirt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: libvirt Python 3 bindings
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the Python 3 bindings for the libvirt library

## libvirt-python 10.4.0

=== debian/changelog ===
libvirt-python (10.4.0-1) unstable; urgency=medium

  * New upstream version 10.4.0

 -- Pino Toscano <pino@debian.org>  Wed, 05 Jun 2024 05:54:27 +0200

libvirt-python (10.3.0-1) unstable; urgency=medium

  * New upstream version 10.3.0
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 07 May 2024 11:41:58 +0200

libvirt-python (10.2.0-1) unstable; urgency=medium

  * New upstream version 10.2.0

 -- Pino Toscano <pino@debian.org>  Sun, 07 Apr 2024 09:42:08 +0200

libvirt-python (10.1.0-1) unstable; urgency=medium

  * New upstream version 10.1.0
  * d/control: switch from transitional pkg-config Build-Depends to pkgconf

 -- Pino Toscano <pino@debian.org>  Fri, 22 Mar 2024 14:25:19 +0100

## libvirt-python 10.5.0

=== debian/changelog ===
libvirt-python (10.5.0-1) unstable; urgency=medium

  * New upstream version 10.5.0

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2024 05:16:43 +0200

## libvirt-python 10.6.0

=== debian/changelog ===
libvirt-python (10.6.0-1) unstable; urgency=medium

  * New upstream version 10.6.0

 -- Pino Toscano <pino@debian.org>  Sat, 10 Aug 2024 05:10:21 +0200

## libvirt-python 10.7.0

=== debian/changelog ===
libvirt-python (10.7.0-1) unstable; urgency=medium

  * New upstream version 10.7.0

 -- Pino Toscano <pino@debian.org>  Sun, 08 Sep 2024 06:38:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (=13),
  dh-sequence-python3,
- pkg-config,
+ pkgconf,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
  libvirt-dev (>= 4.5.0~),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
 Homepage: https://libvirt.org

## libvirt-python 10.9.0

=== debian/changelog ===
libvirt-python (10.9.0-1) unstable; urgency=medium

  * New upstream version 10.9.0

 -- Pino Toscano <pino@debian.org>  Sat, 02 Nov 2024 07:02:38 +0100

libvirt-python (10.8.0-1) unstable; urgency=medium

  * New upstream version 10.8.0

 -- Pino Toscano <pino@debian.org>  Wed, 16 Oct 2024 06:03:07 +0200

## libvirt-python 10.10.0

=== debian/changelog ===
libvirt-python (10.10.0-1) unstable; urgency=medium

  * New upstream version 10.10.0

 -- Pino Toscano <pino@debian.org>  Wed, 04 Dec 2024 07:28:36 +0100

## libvirt-python 11.0.0

=== debian/changelog ===
libvirt-python (11.0.0-1) unstable; urgency=medium

  * New upstream version 11.0.0

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2025 17:39:29 +0100

## libvirt-python 11.1.0

=== debian/changelog ===
libvirt-python (11.1.0-1) unstable; urgency=medium

  * New upstream version 11.1.0
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Mar 2025 07:23:38 +0100

=== debian/watch ===
version=4

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//,pgpsigurlmangle=s/$/.asc/"  \
    https://download.libvirt.org/python/libvirt-python-([\d\.]+)(?:-rc\d)?@ARCHIVE_EXT@

## libvirt-python 11.2.0

=== debian/changelog ===
libvirt-python (11.2.0-1) unstable; urgency=medium

  * New upstream version 11.2.0

 -- Pino Toscano <pino@debian.org>  Sat, 05 Apr 2025 07:09:17 +0200

## libvirt-python 11.3.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Shim wrapper around setup.py to allow for familiar build targets
 
-PYTHON ?= python
+PYTHON  ?= python
+VERSION := $(shell $(PYTHON) -c 'import sys; print("{}{}".format(sys.version_info.major, sys.version_info.minor))')
 
 all:
 	$(PYTHON) -m build
@@ -12,7 +13,7 @@
 	rm -rf build/ dist/
 
 check: all
-	tox -e py36
+	tox -e py$(VERSION)
 
 test: all
 	tox

=== debian/changelog ===
libvirt-python (11.3.0-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:11:53 +0000

libvirt-python (11.3.0-1) unstable; urgency=medium

  * New upstream version 11.3.0

 -- Pino Toscano <pino@debian.org>  Mon, 05 May 2025 07:50:37 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  libvirt-dev (>= 4.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
 Homepage: https://libvirt.org

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## libvirt-python 11.7.0

=== debian/changelog ===
libvirt-python (11.7.0-1) unstable; urgency=medium

  * New upstream version 11.7.0

 -- Pino Toscano <pino@debian.org>  Wed, 03 Sep 2025 06:49:17 +0200

## libvirt-python 11.8.0

=== Makefile ===
--- 
+++ 
@@ -19,4 +19,4 @@
 	tox
 
 rpm: all
-	rpmbuild -ta dist/libvirt-python-$(shell tr -d '\n' < VERSION).tar.gz
+	rpmbuild -ta dist/libvirt[-_]python-$(shell tr -d '\n' < VERSION).tar.gz

=== debian/changelog ===
libvirt-python (11.8.0-1) unstable; urgency=medium

  * d/watch: allow libvirt_python as possible tarball naming
  * New upstream version 11.8.0
  * d/control: drop Rules-Requires-Root, no more needed since Debian trixie

 -- Pino Toscano <pino@debian.org>  Wed, 08 Oct 2025 07:16:20 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
 Homepage: https://libvirt.org
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-libvirt

=== debian/watch ===
version=4

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//,pgpsigurlmangle=s/$/.asc/"  \
    https://download.libvirt.org/python/libvirt(?:-|_)python-([\d\.]+)(?:-rc\d)?@ARCHIVE_EXT@

## libvirt-python 11.9.0

=== debian/changelog ===
libvirt-python (11.9.0-1) unstable; urgency=medium

  * New upstream version 11.9.0

 -- Pino Toscano <pino@debian.org>  Wed, 05 Nov 2025 08:09:59 +0100

## libvirt-python 11.10.0

=== debian/changelog ===
libvirt-python (11.10.0-1) unstable; urgency=medium

  * New upstream version 11.10.0

 -- Pino Toscano <pino@debian.org>  Wed, 03 Dec 2025 07:32:18 +0100

## libvirt-python 12.0.0

=== debian/changelog ===
libvirt-python (12.0.0-1) unstable; urgency=medium

  * New upstream version 12.0.0
  * Bump Standards-Version to 4.7.3, no changes required.
  * d/control: Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jan 2026 10:50:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libvirt-python
 Section: python
-Priority: optional
 Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>,
  Pino Toscano <pino@debian.org>,
@@ -13,7 +12,7 @@
  python3-pytest <!nocheck>,
  python3-setuptools,
  libvirt-dev (>= 4.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt-python.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt-python
 Homepage: https://libvirt.org
